Skip to content

Create add-on

POST
/v1/add_ons/

Create a new add-on.

AddOnCreate
object
code
required
Code
string
<= 255 characters
name
required
Name
string
<= 255 characters
description
Any of:
string
amount_cents
required
Any of:
number
amount_currency
Amount Currency
string
default: USD >= 3 characters <= 3 characters
invoice_display_name
Any of:
string
<= 255 characters

Successful Response

AddOnResponse
object
id
required
Id
string format: uuid
code
required
Code
string
name
required
Name
string
description
Any of:
string
amount_cents
required
Amount Cents
string
/^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$/
amount_currency
required
Amount Currency
string
invoice_display_name
Any of:
string
created_at
required
Created At
string format: date-time
updated_at
required
Updated At
string format: date-time

Unauthorized

Add-on with this code already exists

Validation error